<html>

  <head>
    <title>Hinweise zum Dokument</title>
    <link rel="stylesheet" type="text/css" href="../src/self.css">
    <meta name="description"    content="Das Editorial zu Selfphp">
    <meta name="keywords"       content="SELFPHP, Copyright, Dank, Hinweise">
    <meta name="author"         content="Damir Enseleit, mail@selfphp.info">
    <meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
    <meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
    <meta name="DC.Date"        content="2001-08-02T02:08+01:00">
    <meta name="DC.Identifier"  content="http://www.selfphp3.de/editorial/dokument_hinweise.html">
    <meta name="DC.Language"    content="de">
    <meta name="DC.Rights"      content="index.html">
    <meta name="SELF.Firstdate" content="2001-08-02T02:08+01:00">
    <meta name="SELF.Version"   content="1">
    <meta name="SELF.Pagetype"  content="Ordner">
    <meta name="SELF.Path"      content="SELFPHP == ../index.html">
  </head>

  <body bgcolor=#FFFFFF text=#000000 link=#AA5522 vlink=#772200 alink=#000000>
    
<table width=100% border=0 cellpadding=4 cellspacing=0>
  <tr> 
    <td bgcolor=#FFEEDD colspan=3 class="nav"><a class="an" name="top"><img src="../src/refkap.gif" width=16 height=13 border=0 alt="Teil von"></a> 
      <a href="../index.html"><b>SELFPHP</b></a>/<a href="../navigation/index.html">Navigationshilfen</a>&nbsp;<img src="../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Editorial</b></a> </td>
  </tr>
  <tr> 
    <td width=110 bgcolor=#EEEEEE class="doc"><img src="../src/logo.gif" width=106 height=109 border=0 alt="SELFPHP"></td>
    <td bgcolor=#EEEEEE valign=bottom class="doc" width="100%"> 
      <h2>Hinweise zum Dokument</h2>
    </td>
  </tr>
  <tr> 
    <td bgcolor=#EEEEEE align=center valign=top class="doc"><img src="../src/dokx.gif" width="30" height="20"></td>
    <td bgcolor=#FFFFFF align=left valign=top> 
      <table border=0 cellpadding=0 cellspacing=0 width="424" height="38">
        <tr> 
          <td nowrap height="37"> 
            <p> <img src="../src/down.gif" width=14 height=10 border=0>&nbsp;<a href="#a1"><b>Haftung</b></a> 
              <br>
              <img src="../src/down.gif" width=14 height=10 border=0>&nbsp;<a href="#a2"><b>Themenumfang</b></a><br>
              <img src="../src/down.gif" width=14 height=10 border=0>&nbsp;<a href="#a3"><b>Zielgruppe 
              und Ziel</b></a><br>
              <img src="../src/down.gif" width=14 height=10 border=0>&nbsp;<a href="#a4"><b>Copyright</b></a><br>
              <img src="../src/down.gif" width=14 height=10 border=0>&nbsp;<a href="#a5"><b>Versionenkontrolle</b></a><br>
              <img src="../src/down.gif" width=14 height=10 border=0>&nbsp;<a href="#a7"><b>SELFPHP 
              im WWW</b></a><br>
              <img src="../src/down.gif" width=14 height=10 border=0>&nbsp;<a href="#a8"><b>Schreibweise 
              der PHP-Syntax</b></a><br>
              <img src="../src/down.gif" width=14 height=10 border=0>&nbsp;<a href="#a9"><b>SELFPHP 
              optisch an eigene Bed&uuml;rfnisse anpassen</b></a><br>
            </p>
          </td>
        </tr>
      </table>
    </td>
  </tr>
  <tr> 
    <td colspan=3 class="doc"><a href="#top"><img src="../src/up.gif" width=14 height=10 border=0 alt="nach oben"></a>&#160;</td>
  </tr>
</table>
    
<h2 class="Sh2"><a class="an" name="a1">Haftung</a></h2>

<p>Dieses Dokument ist keine Publikation einer offiziellen Stelle. Das 
Dokument erhebt weder den Anspruch auf Vollst&auml;ndigkeit noch auf 
Fehlerfreiheit. F&uuml;r Fehler in kommerziellen WWW-Seiten, die auf 
falsche oder falsch verstandene Beschreibungen in diesem Dokument 
zur&uuml;ckzuf&uuml;hren sind, &uuml;bernimmt der Autor keine Haftung.
</p>




<table bgcolor=#EEEEEE class="doc" width=100%><tr><td>
<a href="#top"><img src="../src/up.gif" width=14 height=10 border=0></a><a href="#bottom"><img src="../src/down.gif" width=14 height=10 border=0></a>&#160;
</td></tr></table>
<h2 class="Sh2"><a class="an" name="a2">Themenumfang</a></h2>

<p>Dieses Dokument beschreibt ca. 560 Funktionen von PHP 3/4. Dabei wurden die 
  am h&auml;ufigsten genutzten Befehle von PHP innerhalb einer vorgegebenen Gruppenstruktur 
  in alphabetischer Reihenfolge geordnet und ausf&uuml;hrlich erkl&auml;rt. <br>
  Desweiteren wird zu jeden Befehl mindestens ein Beispiel und die dazugeh&ouml;rige 
  Ausgabe im Browser angezeigt. So kann man schon beim Lesen des Dokuments die 
  Befehle nachvollziehen und bei Bedarf ausprobieren. Die Skripte sind aus diesem 
  Grund sehr einfach gehalten, sodass gerade Anf&auml;nger einen sehr schnellen 
  Bezug zu dem Befehl finden werden. Fortgeschrittene Programmierer hingegen werden 
  wohl eher nur auf den Syntax schauen um dann diesen Befehl in ihr Programm einbinden 
  zu k&ouml;nnen.</p>
<p>S&auml;mtliche Skripte in diesem Dokument wurden sorgf&auml;ltig gepr&uuml;ft 
  und getestet - sollte dennoch ein Skript mal nicht funktionieren so melden sie 
  diesen Fehler dem Autor. Bitte vergessen Sie aber nicht den genauen Fehler und 
  Ihre Serverkonfiguration (z.B. Linux 6.4, Apache 1.3.20, PHP 4.0.5, MySQL 3.22.32) 
  mit anzugeben, da einige Befehle z.B. unter Windows nichts bewirken. <br>
  Folgende Adressen stehen Ihnen dabei zur Verf&uuml;gung:<br>
  &middot; URL: <a href="http://www.selfphp3.de">http://www.selfphp3.de</a><br>
  &middot; URL: <a href="http://www.selfphp4.de">http://www.selfphp4.de</a><br>
  &middot; Mail: <a href="mailto:bugfix@selfphp3.de">bugfix@selfphp3.de</a><br>
  &middot; Mail: <a href="mailto:bugfix@selfphp4.de">bugfix@selfphp4.de</a><br>
</p>



<table bgcolor=#EEEEEE class="doc" width=100%><tr><td>
<a href="#top"><img src="../src/up.gif" width=14 height=10 border=0></a><a href="#bottom"><img src="../src/down.gif" width=14 height=10 border=0></a>&#160;
</td></tr></table>
<h2 class="Sh2"><a class="an" name="a3">Zielgruppe und Ziel</a></h2>

<p>Sie programmieren dynamische PHP-Applikationen? Sie sind auf der Suche nach 
  den richtigen Befehlen f&uuml;r gewisse Aufgaben? Manchmal kennen Sie den Befehl, 
  aber die Syntax ist Ihnen fremd? Sie wollen nur mal schnell nachschauen, ob 
  die Syntax so richtig ist? Sie sind Anf&auml;nger bis Profi in PHP?<br>
  Wenn Sie auch nur eine der Fragen mit einem &quot;Ja&quot; beantworten konnten, 
  so sind Sie f&uuml;r dieses Buch der ideale Adressat.<br>
  Im Buch selbst werden eine Vielzahl von PHP-Befehlen erkl&auml;rt und mit Beispielen 
  sowie den passenden Ausgaben unterlegt. Probieren Sie ruhig alle Beispiele aus 
  - sie sind aus diesem Grund immer sehr klein und einfach gehalten. <br>
  Sicherlich h&auml;tte man die Beispielskripts auch wesentlich kompakter programmieren 
  k&ouml;nnen. Der Autor will aber nicht zeigen, wie toll man programmieren k&ouml;nnte, 
  sondern gerade unerfahrenen Programmierern den Weg zu den Funktionen weisen. 
  Sie selbst k&ouml;nnen und sollten die Beispielskripts modifizieren und anpassen 
  - nur so werden Sie ein Gef&uuml;hl f&uuml;r die Funktion bekommen.<br>
</p>


<table bgcolor=#EEEEEE class="doc" width=100%><tr><td>
<a href="#top"><img src="../src/up.gif" width=14 height=10 border=0></a><a href="#bottom"><img src="../src/down.gif" width=14 height=10 border=0></a>&#160;
</td></tr></table>
<h2 class="Sh2"><a class="an" name="a4">Copyright</a></h2>

<p>Dieses Dokument ist <b>Freeware</b> im Sinne des Software-Lizenzrechts. Die Regeln im einzelnen:</p>
<ul>
<li>Das Kopieren und Weitergeben des Dokuments ist erlaubt.</li>
<li>Das Ver&ouml;ffentlichen auf WWW-Servern, Online-Diensten oder Mailboxen ist erlaubt.</li>
<li>Das Ver&ouml;ffentlichen auf Datentr&auml;gern wie CD-ROMs ist erlaubt, auch wenn diese Datentr&auml;ger kommerziell orientiert sind.</li>
  <li>Das &Auml;ndern des Dokuments ist nicht erlaubt. Das gilt sowohl f&uuml;r 
    den Inhalt als auch f&uuml;r das Dateiformat. Auch das Entfernen unliebsamer 
    Passagen ist nicht erlaubt. Einzige Ausnahme: die Datei <b>self.css (im Verzeichnis 
    src) </b> von SELFPHP darf f&uuml;r pers&ouml;nliche Zwecke editiert werden 
    (siehe dazu <img src="../src/down.gif" width=14 height=10 border=0>&nbsp;<a href="#a9"><b>weiter 
    unten</b></a>). Vor der Weitergabe mu&szlig; der Originalzustand dieser Datei 
    wiederhergestellt werden.</li>
  <li>Das w&ouml;rtliche &Uuml;bernehmen von einzelnen Textpassagen aus diesem 
    Dokument in eigene Projekte ist in Form eines Zitats erlaubt. Das Zitat mu&szlig; 
    die Quelle des Dokuments eindeutig benennen. Die Quellenangabe sollte den 
    Dokumenttitel (SELFPHP) und die WWW-Adresse <b>http://www.selfphp3.de</b> 
    enthalten.</li>
<li>Das Dokument mu&szlig; stets in der vorliegenden Form und vollst&auml;ndig kopiert, weitergegeben oder anderweitig ver&ouml;fftentlicht werden - das Kopieren, Weitergeben oder Ver&ouml;ffentlichen von Teilen des Dokuments ist nicht erlaubt.</li>
<li>Das Ver&ouml;ffentlichen des Dokuments auf WWW-Servern oder Datentr&auml;gern im Zusammenhang mit illegalem pornografischem Material oder nazistischem Gedankengut ist unerw&uuml;nscht und wird bei Entdeckung juristisch verfolgt.</li>
</ul>

<p>Bei Ver&ouml;ffentlichung auf CD-ROM oder vergleichbaren Datentr&auml;gern ist es eine feine Geste, dem Autor ein Belegexemplar zukommen zu lassen. Senden Sie dieses per Post an:<br>
  <b>Damir Enseleit, Breitestr. 7, D-41569 Rommerskirchen-Widdeshoven</b>.</p>


<table bgcolor=#EEEEEE class="doc" width=100%><tr><td>
<a href="#top"><img src="../src/up.gif" width=14 height=10 border=0></a><a href="#bottom"><img src="../src/down.gif" width=14 height=10 border=0></a>&#160;
</td></tr></table>
<h2 class="Sh2"><a class="an" name="a5">Versionenkontrolle</a></h2>

<p>Version 1.0.0 (01.07.01)<br>
  Version 1.0.1 (03.10.01)<br>
</p>


<table bgcolor=#EEEEEE class="doc" width=100%><tr><td>
<a href="#top"><img src="../src/up.gif" width=14 height=10 border=0></a><a href="#bottom"><img src="../src/down.gif" width=14 height=10 border=0></a>&#160;
</td></tr></table>
<h2 class="Sh2"><a class="an" name="a7">SELFPHP im WWW</a></h2>

<p>Die offizielle Homepage von SELFPHP lautet:</p>

<p><img src="../src/de.gif" width=16 height=10 border=0>&nbsp;<a target="_top" href="http://www.selfphp3.de"><b>http://www.selfphp3.de</b></a><br>
  <img src="../src/de.gif" width=16 height=10 border=0>&nbsp;<a target="_top" href="http://www.selfphp4.de"><b>http://www.selfphp4.de</b></a></p>


<p>Dort finden Sie auch weitere Informationen zu Standard-Themen rund um SELPHP:</p>

<img src="../src/serverdok.gif" width="15" height="10"> <a href="http://www.selfphp3.de/de/extras/buch.php3"><b>SELFPHP 
            als Buch</b></a><br>
            <img src="../src/serverdok.gif" width="15" height="10"> <a href="http://www.selfphp3.de/de/extras/download.php3"><b>SELFPHP 
            Download zum Offline-Lesen</b></a><br>
<img src="../src/serverkap.gif" width="15" height="13"> <a href="http://www.selfphp3.de"><b>SELFPHP 
neue Version</b></a><br>
<br>






<table bgcolor=#EEEEEE class="doc" width=100%><tr><td>
<a href="#top"><img src="../src/up.gif" width=14 height=10 border=0></a><a href="#bottom"><img src="../src/down.gif" width=14 height=10 border=0></a>&#160;
</td></tr></table>
<h2 class="Sh2"><a class="an" name="a8">Schreibweise der PHP-Syntax</a></h2>

<p>Die komplette PHP-Befehlsreferenz h&auml;lt sich beim Aufbau der Befehle an 
  der allgemein <br>
  &uuml;blichen Schreibweise, welche durch die PHP Group vorgegeben wurde.<br>
  <br>
  Da diese Schreibweise mittlerweile ein fester Bestandteil der PHP-Programmierung 
  geworden <br>
  ist, wurde der Syntax-Aufbau dem Manual der PHP-Group exakt entnommen.<br>
  <br>
  Im gesamten Buch werden Sie f&uuml;r alle Befehle folgenden Aufbau finden:<br>
  &raquo; string <b>function</b> (string format [, int timestamp])</p>
<p>Wie diese Schreibweise zu lesen ist:</p>
  <ul>
  <li>string - Vor jeder Funktion steht ein Datentyp, welcher von der Funktion zur&uuml;ckgegeben 
  wird. Im obigen Beispiel wird als R&uuml;ckgabewert ein String (Zeichenkette) 
  zur&uuml;ckgegeben.<br>
  M&ouml;gliche Werte sind:</li>
  <ol>
    1. <b>array</b> - Es wird ein Array zur&uuml;ckgegeben.
</ol>
  <ol>
    2. <b>bool</b> - Es wird &quot;true&quot; oder &quot;false&quot; zur&uuml;ckgegeben.
</ol>
  <ol>
    3. <b>double</b> - Es wird &quot;double&quot; (Flie&szlig;kommazahl) zur&uuml;ckgegeben.
</ol>
  <ol>
    4. <b>int</b> - Es werden ganzzahlige Werte zur&uuml;ckgegeben.
</ol>
  <ol>
    5. <b>mixed</b> - Es wird ein beliebiger Typ zur&uuml;ckgegeben.
</ol>
  <ol>
    6. <b>object</b> - Es wird ein Verweis(Referenz) auf ein Objekt zur&uuml;ckgegeben.
</ol>
  <ol>
    7. <b>string</b> - Es wird eine Zeichenkette zur&uuml;ckgegeben.
</ol>
  <ol>
    8. <b>void</b> - Es wird nichts zur&uuml;ckgegeben.
</ol>
  <li><b>function</b> - Der eigentliche Befehl wird in der PHP-Syntax fett dargestellt.</li>
  <li><b>format</b> - Die Art des Parameters, welcher zwingend erforderlich und 
    unbedingt angegeben werden muss. <br>
  M&ouml;gliche Werte sind:</li>
  <ol>
    1. <b>array</b> - Es wird ein Array als Parameter ben&ouml;tigt.
</ol>
  <ol>
    2. <b>double</b> - Als Parameter wird eine Flie&szlig;kommazahl gefordert.
</ol>
  <ol>
    3. <b>float</b> - Als Parameter wird eine Flie&szlig;kommazahl gefordert.
</ol>
  <ol>
    4. <b>int</b> - Als Parameter wird eine Ganzzahl gefordert.
</ol>
  <ol>
    5. <b>mixed</b> - Als Parameter wird ein beliebiger Typ gefordert.
</ol>
  <ol>
    6. <b>string</b> - Als Parameter wird eine Zeichenkette gefordert.
</ol>
  <ol>
    7. <b>void</b> - Als Parameter wird nichts gefordert.
</ol>
  <li><b>[,...]</b> - In eckigen Klammern stehen optionale Werte und sind nicht 
    zwingend erforderlich.<br>
M&ouml;gliche Werte sind:</li>
<ol>
    1. <b>array</b> - Es wird ein Array als Parameter ben&ouml;tigt.
</ol>
<ol>
    2. <b>double</b> - Als Parameter wird eine Flie&szlig;kommazahl gefordert.
</ol>
<ol>
    3. <b>float</b> - Als Parameter wird eine Flie&szlig;kommazahl gefordert.
</ol>
<ol>
    4. <b>int</b> - Als Parameter wird eine Ganzzahl gefordert.
</ol>
<ol>
    5. <b>mixed</b> - Als Parameter wird eine Ganzzahl oder Flie&szlig;kommazahl 
    gefordert
</ol>
<ol>
    6. <b>string</b> - Als Parameter wird eine Zeichenkette gefordert.
</ol>
<ol>
    7. <b>void</b> - Als Parameter wird nichts gefordert.
</ol>
</ul>
  
<br>
<table bgcolor=#EEEEEE class="doc" width=100%><tr><td>
<a href="#top"><img src="../src/up.gif" width=14 height=10 border=0></a><a href="#bottom"><img src="../src/down.gif" width=14 height=10 border=0></a>&#160;
</td></tr></table>
<h2 class="Sh2"><a class="an" name="a9">SELFPHP optisch an eigene Bed&uuml;rfnisse 
  anpassen</a></h2>

<p>Wenn Sie SELFPHP downgeloadet haben und lokal nutzen, d&uuml;rfen Sie individuelle 
  Anpassungen in Bezug auf Schriftart, Schriftgr&ouml;&szlig;en usw. vornehmen. 
  Das ist z.B. sinnvoll, wenn Ihnen Schriften zu klein oder zu schwer lesbar vorkommen.</p> 

<p>Rufen Sie dazu in dem Verzeichnis , in dem Sie SELFPHP abgelegt haben, die 
  Datei <b>self.css (im Verzeichnis src)</b> mit einem Texteditor auf, unter MS 
  Windows beispielsweise mit dem Notepad Editor. Die Datei enth&auml;lt zentrale 
  Style-Sheet-Definitionen f&uuml;r SELFPHP. Die einzelnen Eintr&auml;ge sind 
  auskommentiert.</p>





<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr>
    <td colspan=2 bgcolor="#EEEEEE" class="doc"> <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a> 
    </td>
  </tr>
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" width="70">weiter:<a href="dokument_benutzung.html"><img src="../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="dokument_benutzung.html"><b>Hinweise zur Benutzung des Dokuments 
      </b></a> </td>
  </tr>
  
  <tr>
    <td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td>
  </tr>
</table>
<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr> 
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../src/refkap.gif" width=16 height=13 border=0 alt="Teil von"></a> 
      <a href="../index.html"><b>SELFPHP</b></a>/<a href="../navigation/index.html">Navigationshilfen</a>&nbsp;<img src="../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Editorial</b></a> </td>
  </tr>
</table>
<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</a> <img src="../src/mail.gif" width=15 height=10 border=0 alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir 
  Enseleit, mail@selfphp.info</a></p>
  </body>

</html>